## ESelectionModelArray

ESelectionModelArray

## Functions

void | e_selection_model_array_insert_rows ()
void | e_selection_model_array_delete_rows ()
void | e_selection_model_array_move_row ()
void | e_selection_model_array_confirm_row_count ()
gint | e_selection_model_array_get_row_count ()

## Properties

gint | cursor-col | Read / Write
gint | cursor-row | Read / Write

## Types and Values

struct | ESelectionModelArray

## Object Hierarchy

        GObject
        ╰── ESelectionModel
            ╰── ESelectionModelArray
                ├── ESelectionModelSimple
                ╰── ETableSelectionModel

## Description

## Functions

### e_selection_model_array_insert_rows ()

    void
    e_selection_model_array_insert_rows (ESelectionModelArray *selection,
                                         gint row,
                                         gint count);

### e_selection_model_array_delete_rows ()

    void
    e_selection_model_array_delete_rows (ESelectionModelArray *selection,
                                         gint row,
                                         gint count);

### e_selection_model_array_move_row ()

    void
    e_selection_model_array_move_row (ESelectionModelArray *selection,
                                      gint old_row,
                                      gint new_row);

### e_selection_model_array_confirm_row_count ()

    void
    e_selection_model_array_confirm_row_count
                                   (ESelectionModelArray *selection);

### e_selection_model_array_get_row_count ()

    gint
    e_selection_model_array_get_row_count (ESelectionModelArray *selection);

## Types and Values

### struct ESelectionModelArray

    struct ESelectionModelArray;

## Property Details

### The `“cursor-col”` property

      “cursor-col”               gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0

### The `“cursor-row”` property

      “cursor-row”               gint

Flags: Read / Write

Allowed values: >= 0

Default value: 0